#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include "df.h"
#include "mfsd.h"
#include "inspectHDF.h"

/*
 * Function: infoFILE
 *
 * Purpose: READ and PRINT file information, if it exists.
 *
 */

void infoFILE(hdf_file)
 char *hdf_file;
{
  int32 file_id, maxlen;
  char *fid, *fds;


  if ((file_id = Hopen(hdf_file, DFACC_READ, 0)) == FAIL)
    error(" Error in reading HDF file.");


 /*
  * Get File IDs
  */

  if ((maxlen = DFANgetfidlen(file_id, (int) FIRST)) != FAIL)
    {
      fid = (char *) calloc((unsigned) maxlen + 1, (unsigned) sizeof(char));

      DFANgetfid(file_id, fid, maxlen + 1, (int) FIRST);
      printf("\n\n*FILE ID(s):\n\n%s\n", fid);
      free(fid);

      while ((maxlen = DFANgetfidlen(file_id, (int) NEXT)) != FAIL)
	{
	  fid = (char *) calloc((unsigned) maxlen + 1, (unsigned) sizeof(char));

	  DFANgetfid(file_id, fid, maxlen + 1, (int) NEXT);
	  printf("%s\n", fid);
	  free(fid);
	}
      printf("\n");
    }

 /*
  * Get File Descriptions.
  */

  if ((maxlen = DFANgetfdslen(file_id, (int) FIRST)) != FAIL)
    {
      fds = (char *) calloc((unsigned) maxlen + 1, (unsigned) sizeof(char));

      DFANgetfds(file_id, fds, maxlen + 1, (int) FIRST);
      printf("*File Discription(s):\n\n%s\n", fds);
      free(fds);

      while ((maxlen = DFANgetfdslen(file_id, (int) NEXT)) != FAIL)
	{
	  fds = (char *) calloc((unsigned) maxlen + 1, (unsigned) sizeof(char));

	  DFANgetfds(file_id, fds, maxlen + 1, (int) NEXT);
	  printf("%s\n", fds);
	  free(fds);
	}
      printf("\n");
    }

  Hclose(file_id);
}				/* END infoFILE */
