#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include "df.h"
#include "mfsd.h"
#include "inspectHDF.h"


static char intro[] = "|-----------------------------------------------------------------------------|\n";
static char intro_b[] = "|                                                                             |\n";
static char version[] = "inspectHDF  Version 2.0";


/*
 * Prints a header summarizing the inspect program, the hdf file, and
 *  the time the program was executed.
 */

void infoINTRO(hdf_file)
 char *hdf_file;
{
  int32 file_id;
  uint32 majorv, minorv, release;
  time_t current_time;
  char info[81], *cal_time, date_time[255];


/*
 * get time of InspectHDF execution.  Useful if output is saved to a file
 *  and read later.
 */

  current_time = time((time_t *) NULL);
  cal_time = ctime(&current_time);
  strcpy(date_time, cal_time);
  date_time[strlen(date_time) - 1] = '\0';

  printf("\n");
  printf("%s", intro);
  printf("%s", intro_b);
  printf("| %-75s |\n", version);
  printf("%s", intro_b);
  printf("| Input File: %-63s |\n", hdf_file);
  printf("%s", intro_b);

  if ((file_id = Hopen(hdf_file, DFACC_READ, 0)) == FAIL)
    error(" Error in reading HDF file.");

  if (Hgetfileversion(file_id, &majorv, &minorv, &release, info) != FAIL)
    printf("| File created by: %-58s |\n", info);
  else
    printf("%s", intro_b);

  Hclose(file_id);

  printf("%s", intro_b);
  printf("| Output Created: %-59s |\n", date_time);
  printf("%s", intro_b);
  printf("| Notes:                                                                      |\n");
  printf("|        *  Indicates a Data Set.                                             |\n");
  printf("|        ** Indicates a Data Object, which is a component of the ");
  printf("Data Set.    |\n");
  printf("%s", intro_b);
  printf("%s", intro);
  printf("\n");

}				/* END infoINTRO */
