#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include "df.h"
#include "mfsd.h"
#include "inspectHDF.h"


/*
 * Function: infoRIS.
 *
 * Purpose: Get Info on Raster Image Sets - 8 bit, if they exists.
 *
 */

void infoRIS(hdf_file, settings)
 char *hdf_file;
 settype *settings;
{
  int i, images;
  uint16 reference;
  int32 x, y;
  int palette;

  if ((images = DFR8nimages(hdf_file)) != FAIL)
    for (i = 0; i < images; i++)
      {

	if (DFR8getdims(hdf_file, &x, &y, &palette) == FAIL)
	  error(" Error at DFSDgetdims.");

	reference = DFR8lastref();

	printf("\n*Raster Image Set #%3d  (reference #%d)\n", i, reference);
	printf(" ---------------------\n\n");
	printf("\n");
	printf("  **Dimensions:\n");
	printf("               nl: %d\n", y);
	printf("               ns: %d\n", x);

	if (palette)
	  printf("\n  **Associated Palette.\n\n");
	else
	  printf("\n  **NO Associated Palette.\n\n");

	printf("\n* Annotation. (Refers to RIS #%d)\n\n", i);
	read_ann(hdf_file, DFTAG_RIG, reference, settings);
      }
}				/* END infoRIS */
